Results 1 to 3 of 3

Thread: pygame installation for python3 is missing some dependecies

  1. #1

    Default pygame installation for python3 is missing some dependecies

    I am trying to install pygame(from source) for python3 on my openSUSE 11.3. From repos pygame is only available for python2 and not for python 3.

    While running the installation scripts I am getting this:
    Code:
    linux-eeow:/home/vivek/Projects/codes/python/pygame-1.9.1release # python3 setup.py 
    
    No Arguments Given, Perform Default Install? [Y/n]Y
    
    
    WARNING, No "Setup" File Exists, Running "config.py"
    Using UNIX configuration...
    
    
    Hunting dependencies...
    SDL     : found 1.2.14
    FONT    : not found
    IMAGE   : not found
    MIXER   : not found
    SMPEG   : found 0.4.5
    PNG     : found
    JPEG    : found
    SCRAP   : found
    PORTMIDI: not found
    PORTTIME: not found
    
    
    Warning, some of the pygame dependencies were not found. Pygame can still
    compile and install, but games that depend on those missing dependencies
    will not run. Would you like to continue the configuration? [Y/n]:
    Does anyone know what these dependencies are. What all do I need to install...
    --
    Vivek Bhat
    Linux User #496540
    Dell 620 S Desktop, 8GB, Intel(R) Core(TM) i5-2310 CPU @ 2.90GHz, openSuSE Leap 42.1
    +Plasma 5, Kernel 4.1.20-11-default x86_64

  2. #2

    Default Re: pygame installation for python3 is missing some dependecies

    Installed libSDL packages (libSDL_image,libSDL_mixer). The remaining ones are PORTMIDI and PORTTIME.. where can I get them from??
    --
    Vivek Bhat
    Linux User #496540
    Dell 620 S Desktop, 8GB, Intel(R) Core(TM) i5-2310 CPU @ 2.90GHz, openSuSE Leap 42.1
    +Plasma 5, Kernel 4.1.20-11-default x86_64

  3. #3

    Default Re: pygame installation for python3 is missing some dependecies

    Quote Originally Posted by vendetta18 View Post
    Installed libSDL packages (libSDL_image,libSDL_mixer). The remaining ones are PORTMIDI and PORTTIME.. where can I get them from??
    you need to install the following libraries libportmidi-dev, libsdl-ttf2.0-dev. it worked for me

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •